View Issue Details

IDProjectCategoryView StatusLast Update
0000600SketcherFeaturepublic2013-02-13 13:17
ReporteroshwinzAssigned Tologari81 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000600: Sketcher: Ability to create a point
DescriptionI'm currently testing out the daily build version of FreeCAD. Sketcher is really becoming a great tool!

Just thought I'd bring up one feature that I would find useful which is the ability to create a point for using it as construction geometry. One example would be an intersection point between two lines that have been filleted together. Another example would be a point coincident on a line, but not at the endpoints. I find myself using this feature in CATIA's sketcher very often.
TagsNo tags attached.

Activities

logari81

2012-05-14 10:43

developer   ~0002043

+ creating origin point at (0,0) by default
+ allowing points as external geometry projections.

pperisin

2012-05-15 17:35

reporter   ~0002046

maybe ability to move origin point with some (external) constraints

mbarronj

2012-05-24 00:16

reporter   ~0002080

Creating a Center point for lines and arc segments would be tremendously valuable.
Also, the ability to constrain this point to a vector or axis - I.E. center a line by constraining it's centerpoint onto the Y axis - that would be nice.

Issue History

Date Modified Username Field Change
2012-02-13 13:02 oshwinz New Issue
2012-05-05 18:31 yorik Project FreeCAD => Sketcher
2012-05-14 10:40 logari81 Status new => assigned
2012-05-14 10:40 logari81 Assigned To => logari81
2012-05-14 10:43 logari81 Note Added: 0002043
2012-05-15 17:35 pperisin Note Added: 0002046
2012-05-24 00:16 mbarronj Note Added: 0002080
2012-07-13 09:37 logari81 Status assigned => resolved
2012-07-13 09:37 logari81 Fixed in Version => trunk
2012-07-13 09:37 logari81 Resolution open => fixed
2012-07-14 08:59 wmayer Status resolved => closed
2013-02-13 13:17 yorik Fixed in Version trunk => 0.13